# \hhu\z\viewsQuesttypeView

Abstract class for implementing a QuesttypeView.

Class to encapsulate a template file and to provide rendering methods.

## Summary

Methods
Properties
Constants
loadAndFactory()
render()
getTemplateFilename()
No public properties found
No constants found
__construct()
$templateFilename
N/A
No private methods found
No private properties found
N/A

File
  app/views/QuesttypeView.inc
Package
  Default
Class hierarchy
  \nre\core\View
  \hhu\z\views\QuesttypeView

## Tags

author | Oliver Hanraths oliver.hanraths@uni-duesseldorf.de

## Properties

### $templateFilename

    $templateFilename : string

Template filename

#### Type

string

#

Inherited from
  \nre\core\View

## Tags

None found

## Methods

### loadAndFactory()

    loadAndFactory(string  $layoutName, string  $agentName = null, string  $action = null, boolean  $isToplevel = false)

Load and instantiate the QuesttypeView of a QuesttypeAgent.

#### Parameters

string | $layoutName | Name of Layout in use
string | $agentName | Name of the Agent
string | $action | Current Action
boolean | $isToplevel | Agent is a ToplevelAgent

#### Throws

\hhu\z\views\ViewNotFoundException

#

static

## Tags

None found

### render()

    render(array  $data)

Generate output

#### Parameters

array | $data | Data to have available in the template file

#

Inherited from
  \nre\core\View

## Tags

None found

### getTemplateFilename()

    getTemplateFilename() : string

Get template filename.

#### Returns

string —

Template filename

#

Inherited from
  \nre\core\View

## Tags

None found

### __construct()

    __construct(string  $layoutName, string  $agentName = null, string  $action = null, boolean  $isToplevel = false)

Construct a new QuesttypeView.

#### Parameters

string | $layoutName | Name of Layout in use
string | $agentName | Name of the Agent
string | $action | Current Action
boolean | $isToplevel | Agent is a ToplevelAgent

#### Throws

\hhu\z\views\ViewNotFoundException

#

## Tags

None found

### QuesttypeView.inc